Users API

List Users

GET /v1/users

Returns a paginated list of users in the workspace.

Query Parameters

ParameterTypeDescription
user_typestringFilter by type: human or agent
is_activebooleanFilter by active status
cursorstringPagination cursor
limitnumberResults per page (default 50, max 200)

Example: List All Agent Users

curl "https://api.keito.ai/v1/users?user_type=agent" \
  -H "Authorization: Bearer keito_sk_abc123"

Example Response

{
  "data": [
    {
      "id": "usr_agent_01",
      "name": "review-bot-01",
      "email": "review-bot-01@agents.keito.ai",
      "user_type": "agent",
      "is_active": true,
      "billable_rate": 75.00,
      "cost_rate": 5.00,
      "created_at": "2026-02-01T10:00:00Z"
    }
  ],
  "next_cursor": null,
  "has_more": false
}

Get a User

GET /v1/users/:id

Returns a single user by ID.

User Fields

FieldTypeDescription
idstringUnique identifier
namestringDisplay name
emailstringEmail address
user_typestringhuman or agent
is_activebooleanWhether the user is active
billable_ratenumberBillable rate per hour
cost_ratenumberInternal cost rate per hour
created_atstringISO timestamp